USE [D10Task_hd_Weekly]
go
 
/****** Object:  Table [dbo].[PrintService_Tasks]    Script Date: 01/28/2016 18:28:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[PrintService_Tasks](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[CreationDate] [datetime] NOT NULL,
	[StatusId] [int] NOT NULL,
	[LastModifiedDate] [datetime] NOT NULL,
	[Attempts] [int] NOT NULL,
	[CachePath] [nvarchar](max) NULL,
	[PrinterUrl] [nvarchar](max) NULL,
	[FoxitPath] [nvarchar](max) NULL,
 CONSTRAINT [PK_dbo.PrintService_Tasks] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]


 

/****** Object:  Table [dbo].[PrintService_TaskUnits]    Script Date: 01/28/2016 18:29:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[PrintService_TaskUnits](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Data] [varbinary](max) NULL,
	[FileType] [int] NOT NULL,
	[IsConversionFailed] [bit] NOT NULL,
	[Task_Id] [int] NULL,
	[ScaleFlag] [bit] NOT NULL,
 CONSTRAINT [PK_dbo.PrintService_TaskUnits] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[PrintService_TaskUnits]  WITH CHECK ADD  CONSTRAINT [FK_dbo.PrintService_TaskUnits_dbo.PrintService_Tasks_Task_Id] FOREIGN KEY([Task_Id])
REFERENCES [dbo].[PrintService_Tasks] ([Id])
GO

ALTER TABLE [dbo].[PrintService_TaskUnits] CHECK CONSTRAINT [FK_dbo.PrintService_TaskUnits_dbo.PrintService_Tasks_Task_Id]
GO

ALTER TABLE [dbo].[PrintService_TaskUnits]  WITH CHECK ADD  CONSTRAINT [FK_dbo.TaskUnits_dbo.Tasks_Task_Id] FOREIGN KEY([Task_Id])
REFERENCES [dbo].[PrintService_Tasks] ([Id])
GO

ALTER TABLE [dbo].[PrintService_TaskUnits] CHECK CONSTRAINT [FK_dbo.TaskUnits_dbo.Tasks_Task_Id]
GO

ALTER TABLE [dbo].[PrintService_TaskUnits] ADD  CONSTRAINT [DF_PrintService_TaskUnits_ScaleFlag]  DEFAULT ((0)) FOR [ScaleFlag]
GO
 

/****** Object:  Table [dbo].[PrintService_LogRecords]    Script Date: 01/28/2016 18:31:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[PrintService_LogRecords](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[TaskCreated] [datetime] NOT NULL,
	[EventOccured] [datetime] NOT NULL,
	[User] [nvarchar](max) NULL,
	[Source] [nvarchar](max) NULL,
	[IsSucceeded] [bit] NOT NULL,
	[Message] [nvarchar](max) NULL,
 CONSTRAINT [PK_dbo.PrintService_LogRecords] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO



